Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412795 - [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:88d821e9cbdf409bb30a5038ee0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 19:52 UTC by John Williams
Modified: 2017-12-12 10:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:06:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (50.49 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: core_backtrace (5.28 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: dso_list (10.76 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: environ (2.04 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: maps (50.15 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: mountinfo (3.57 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: open_fds (2.06 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details
File: var_log_messages (308 bytes, text/plain)
2017-01-12 19:52 UTC, John Williams
no flags Details

Description John Williams 2017-01-12 19:52:06 UTC
Version-Release number of selected component:
gnome-software-3.22.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_pixbuf_finalize
executable:     /usr/bin/gnome-software
global_pid:     11474
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #6 gs_app_finalize at gs-app.c:3471
 #8 g_hash_table_remove_all_nodes at ghash.c:548
 #10 g_hash_table_unref at ghash.c:1097
 #11 gs_app_list_finalize at gs-app-list.c:463
 #13 gs_plugin_loader_finalize at gs-plugin-loader.c:3985
 #15 gs_application_dispose at gs-application.c:822
 #17 glib_autoptr_cleanup_GtkApplication at /usr/include/gtk-3.0/gtk/gtkapplication.h:165
 #18 glib_autoptr_cleanup_GsApplication at gs-application.h:31

Comment 1 John Williams 2017-01-12 19:52:12 UTC
Created attachment 1240098 [details]
File: backtrace

Comment 2 John Williams 2017-01-12 19:52:13 UTC
Created attachment 1240099 [details]
File: cgroup

Comment 3 John Williams 2017-01-12 19:52:14 UTC
Created attachment 1240100 [details]
File: core_backtrace

Comment 4 John Williams 2017-01-12 19:52:16 UTC
Created attachment 1240101 [details]
File: dso_list

Comment 5 John Williams 2017-01-12 19:52:18 UTC
Created attachment 1240102 [details]
File: environ

Comment 6 John Williams 2017-01-12 19:52:19 UTC
Created attachment 1240103 [details]
File: exploitable

Comment 7 John Williams 2017-01-12 19:52:20 UTC
Created attachment 1240104 [details]
File: limits

Comment 8 John Williams 2017-01-12 19:52:23 UTC
Created attachment 1240105 [details]
File: maps

Comment 9 John Williams 2017-01-12 19:52:24 UTC
Created attachment 1240106 [details]
File: mountinfo

Comment 10 John Williams 2017-01-12 19:52:25 UTC
Created attachment 1240107 [details]
File: namespaces

Comment 11 John Williams 2017-01-12 19:52:27 UTC
Created attachment 1240108 [details]
File: open_fds

Comment 12 John Williams 2017-01-12 19:52:28 UTC
Created attachment 1240109 [details]
File: proc_pid_status

Comment 13 John Williams 2017-01-12 19:52:29 UTC
Created attachment 1240110 [details]
File: var_log_messages

Comment 14 srakitnican 2017-01-29 09:55:51 UTC
Similar problem has been detected:

Service runs in background, randomly crashes. Not using Gnome Software at all.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_pixbuf_finalize
executable:     /usr/bin/gnome-software
global_pid:     27815
kernel:         4.9.5-200.fc25.x86_64
package:        gnome-software-3.22.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 14:40:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:06:28 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.